org.apache.ignite.internal.processors.cache

## Class GridCacheUtilityKey<K extends GridCacheUtilityKey>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUtilityKey<K>

All Implemented Interfaces:
  Serializable, GridCacheInternal

Direct Known Subclasses:
  GridServiceAssignmentsKey, GridServiceDeploymentKey

    public abstract class GridCacheUtilityKey<K extends GridCacheUtilityKey>
    extends Object
    implements GridCacheInternal, Serializable

Key for system utility cache.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheUtilityKey()`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`protected abstract boolean` `equalsx(K key)` Child-specific equals method.
`abstract int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheUtilityKey

    public GridCacheUtilityKey()

### Method Detail

#### equals

    public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### equalsx

    protected abstract boolean equalsx(K key)

Child-specific equals method.

Parameters:
  `key` - Key.
Returns:
  `True` if equals.

#### hashCode

    public abstract int hashCode()

Overrides:
  `hashCode` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015